using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestShop
{
    class TestShop
    {

        public static void Main()
        {

            Shop shop = null;

            Console.WriteLine("Instantiate the PizzaShop class:" + "\n");

            try
            {

                // new pizzaShop();

                shop = new PizzaShop();

            }
            catch (Exception e)
            {

            }

            string[] inventory = shop.getInventory();


            // list the inventory

            for (int i = 0; i < 5; i++)
            {
                Console.WriteLine("Argument" + i + " = " + inventory[i]);
            }


            // buy an item

            shop.buyInventory(inventory[1]);

        }

    }



    public abstract class Shop  {

        CustList customerList;

        public void CalculateSaleTax() {

            Console.WriteLine("Calculate Sales Tax");

        }

        public abstract string[] getInventory();

        public abstract void buyInventory(string item);

    }

    public interface Nameable {

          string getName();
          void setName(string name);

    }

    public class PizzaShop : Shop , Nameable {

        string companyName;


        string[] foodOfferings = {
            "Pizza",
            "Spaghetti",
            "Garden Salad",
            "Anitpasto",
            "Calzone"
        };

        public override string[] getInventory() {

            return foodOfferings;

        }

        public override void buyInventory(string item) {

            Console.WriteLine("\nYou have just purchased " + item);

        }

        public string getName(){

            return companyName;
        }

        public void setName(string name){

            companyName = name;
        }

    }

    public class DonutShop : Shop , Nameable {

        string companyName;

        string[] menuItems = {
            "Donuts",
            "Muffins",
            "Danish",
            "Coffee",
            "Tea"
        };

        public override string[]  getInventory() {

            return menuItems;

        }

        public override void  buyInventory(string item) {

            Console.WriteLine("\nYou have just purchased " + item);

        }

        public string getName(){

            return companyName;
        }

        public void setName(string name){

            companyName = name;
        }
    }

    public class CustList {

        string name;

        public  string findCust() {return name;}
        public  void addCust(string Name){}

    }

}