using System;
using System.Collections;
using System.IO;
using System.Xml;
using System.Xml.Serialization;

namespace Server
{
    [XmlRoot("account")]
    public class CheckingAccount
    {
        private String strName;
        private int intAccountNumber;

        /// <summary>
        /// Accessor methods for strName
        /// </summary>
        [XmlElement("name")]
        public String Name
        {
            get { return strName; }
            set { strName = value; }
        }

        /// <summary>
        /// Accessor Methods for intAccountNumber
        /// </summary>
        [XmlElement("account_num")]
        public int AccountNumber
        {
            get { return intAccountNumber; }
            set { intAccountNumber = value; }
        }

        /// <summary>
        /// Default constructor
        /// </summary>
        public CheckingAccount()
        {
            this.Name = "John Doe";
            this.AccountNumber = 54321;
            Console.WriteLine("Creating Checking Account!");
        }

    }
}
